# SPDX-FileCopyrightText: 2023 Open Mobile Platform LLC <edu@omp.ru>
# SPDX-License-Identifier: BSD-3-Clause

CC = g++
CFLAGS = -std=c++11 -Wall
TARGET = main

all: main.o item.o inventory.o
	$(CC) $(CFLAGS) -o $(TARGET) main.o item.o inventory.o

main.o: main.cpp
	$(CC) -c main.cpp

inventory.o: inventory.h inventory.cpp
	$(CC) -c inventory.cpp

item.o: item.h item.cpp
	$(CC) -c item.cpp

clean:
	rm $(TARGET) *.o
